Index: /trunk/anuga_core/validation_tests/analytical_exact/avalanche_dry/numerical_avalanche_dry.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/avalanche_dry/numerical_avalanche_dry.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/avalanche_dry/numerical_avalanche_dry.py	(revision 9155)
@@ -15,5 +15,5 @@
 from time import localtime, strftime, gmtime
 from numpy import sin, cos, tan, arctan
-
+from anuga import myid, finalize, distribute
 
 #-------------------------------------------------------------------------------
@@ -41,29 +41,22 @@
 W = 3*dx
 
+def stage(X,Y):
+    N = len(X)
+    w = zeros(N)
+    for i in range(N):
+        if X[i]<=0.0:
+            w[i] = bed_slope*X[i]
+        else:
+            w[i] = bed_slope*X[i] + h_0
+    return w
 
-# structured mesh
-points, vertices, boundary = anuga.rectangular_cross(int(L/dx), int(W/dy), L, W, (-L/2.0, -W/2.0))
+def elevation(X,Y):
+    N = len(X)
+    y=zeros(N)
+    for i in range(N):
+        y[i] = bed_slope*X[i]
+    return y
 
-#domain = anuga.Domain(points, vertices, boundary) 
-domain = Domain(points, vertices, boundary) 
 
-domain.set_name(output_file)                
-domain.set_datadir(output_dir) 
-
-#------------------------------------------------------------------------------
-# Setup Algorithm, either using command line arguments
-# or override manually yourself
-#------------------------------------------------------------------------------
-from anuga.utilities.argparsing import parse_standard_args
-alg, cfl = parse_standard_args()
-domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
-
-#------------------------------------------------------------------------------
-# Setup initial conditions
-#------------------------------------------------------------------------------
-
-# No Mannings friction, but we introduce Coulomb friction below.
-domain.set_quantity('friction', 0.0)
 class Coulomb_friction:
     
@@ -94,24 +87,4 @@
 friction_slope = 0.05
 Coulomb_forcing_term = Coulomb_friction(friction_slope, bed_slope)
-domain.forcing_terms.append(Coulomb_forcing_term)
-
-def stage(X,Y):
-    N = len(X)
-    w = zeros(N)
-    for i in range(N):
-        if X[i]<=0.0:
-            w[i] = bed_slope*X[i]
-        else:
-            w[i] = bed_slope*X[i] + h_0
-    return w
-domain.set_quantity('stage', stage)
-
-def elevation(X,Y):
-    N = len(X)
-    y=zeros(N)
-    for i in range(N):
-        y[i] = bed_slope*X[i]
-    return y
-domain.set_quantity('elevation',elevation)
 
 def f_right(t):
@@ -123,5 +96,48 @@
     return [w_r,  u_r*h_r,  0.0]
 
+#------------------------------------------------------------------------------
+# Setup Algorithm, either using command line arguments
+# or override manually yourself
+#------------------------------------------------------------------------------
+args = anuga.get_args()
+alg = args.alg
+cfl = args.cfl
+verbose = args.v
 
+if myid == 0:
+    
+    # structured mesh
+    points, vertices, boundary = anuga.rectangular_cross(int(L/dx), int(W/dy), L, W, (-L/2.0, -W/2.0))
+
+    #domain = anuga.Domain(points, vertices, boundary) 
+    domain = Domain(points, vertices, boundary) 
+
+    domain.set_name(output_file)                
+    domain.set_datadir(output_dir)
+    
+    domain.set_flow_algorithm(alg)
+    #domain.set_CFL(cfl)
+    
+    #------------------------------------------------------------------------------
+    # Setup initial conditions
+    #------------------------------------------------------------------------------
+
+    # No Mannings friction, but we introduce Coulomb friction below.
+    domain.set_quantity('friction', 0.0)
+    domain.set_quantity('stage', stage)
+    domain.set_quantity('elevation',elevation)
+
+else:
+
+    domain = None
+
+
+domain = distribute(domain)
+
+
+#-----------------------------------------------------------------------------
+# Special implementation of Coulomb friction
+#-----------------------------------------------------------------------------  
+domain.forcing_terms.append(Coulomb_forcing_term)
 
 
@@ -139,22 +155,15 @@
 
 
-#===============================================================================
-##from anuga.visualiser import RealtimeVisualiser
-##vis = RealtimeVisualiser(domain)
-##vis.render_quantity_height("stage", zScale =h0*500, dynamic=True)
-##vis.colour_height_quantity('stage', (0.0, 0.5, 1.0))
-##vis.start()
-#===============================================================================
-
 
 #------------------------------------------------------------------------------
 # Produce a documentation of parameters
 #------------------------------------------------------------------------------
-parameter_file=open('parameters.tex', 'w')
-parameter_file.write('\\begin{verbatim}\n')
-from pprint import pprint
-pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
-parameter_file.write('\\end{verbatim}\n')
-parameter_file.close()
+if myid == 0:
+    parameter_file=open('parameters.tex', 'w')
+    parameter_file.write('\\begin{verbatim}\n')
+    from pprint import pprint
+    pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
+    parameter_file.write('\\end{verbatim}\n')
+    parameter_file.close()
 
 #------------------------------------------------------------------------------
@@ -162,11 +171,11 @@
 #------------------------------------------------------------------------------
 for t in domain.evolve(yieldstep = 0.1, finaltime = 3.):
-    #print domain.timestepping_statistics(track_speeds=True)
-    print domain.timestepping_statistics()
-    #vis.update()
+    if myid == 0 and verbose: print domain.timestepping_statistics()
+    
+
+domain.sww_merge(delete_old=True)
 
 
-#test against know data
-    
-#vis.evolveFinished()
+finalize()
 
+
Index: /trunk/anuga_core/validation_tests/analytical_exact/avalanche_dry/produce_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/avalanche_dry/produce_results.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/avalanche_dry/produce_results.py	(revision 9155)
@@ -2,20 +2,11 @@
 # import modules
 #--------------------------------
-from anuga.validation_utilities.fabricate import *
-from anuga.validation_utilities.run_validation import run_validation_script
-from anuga.validation_utilities.typeset_report import typeset_report
+import anuga
+from anuga.validation_utilities import produce_report
+
+args = anuga.get_args()
+
+produce_report('numerical_avalanche_dry.py', args=args)
 
 
-# Setup the python scripts which produce the output for this
-# validation test
-def build():
-    run_validation_script('numerical_avalanche_dry.py')
-    run_validation_script('plot_results.py')
-    typeset_report()    
 
-
-def clean():
-    autoclean()
-
-main()
-
Index: /trunk/anuga_core/validation_tests/analytical_exact/avalanche_dry/validate_avalanche_dry.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/avalanche_dry/validate_avalanche_dry.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/avalanche_dry/validate_avalanche_dry.py	(revision 9155)
@@ -10,5 +10,6 @@
 indent = anuga.indent
 
-verbose = True
+args = anuga.get_args()
+verbose = args.v
 
 class Test_results(unittest.TestCase):
@@ -32,6 +33,8 @@
             print indent+'Running simulation script'
 
+            
         s = 'numerical_avalanche_dry.py'
-        res = os.system('python %s > validate_output.stdout' %s)
+        res = anuga.run_anuga_script(s,args=args)
+
 
         # Test that script runs ok
Index: /trunk/anuga_core/validation_tests/analytical_exact/avalanche_wet/numerical_avalanche_wet.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/avalanche_wet/numerical_avalanche_wet.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/avalanche_wet/numerical_avalanche_wet.py	(revision 9155)
@@ -58,5 +58,5 @@
 alg, cfl = parse_standard_args()
 domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
+#domain.set_CFL(cfl)
 
 #------------------------------------------------------------------------------
Index: /trunk/anuga_core/validation_tests/analytical_exact/avalanche_wet/produce_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/avalanche_wet/produce_results.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/avalanche_wet/produce_results.py	(revision 9155)
@@ -1,19 +1,9 @@
-#--------------------------------
-# import modules
-#--------------------------------
-from anuga.validation_utilities.fabricate import *
-from anuga.validation_utilities import run_validation_script
-from anuga.validation_utilities import typeset_report
 
-# Setup the python scripts which produce the output for this
-# validation test
-def build():
-    run_validation_script('numerical_avalanche_wet.py')
-    run_validation_script('plot_results.py')
-    typeset_report()
+import anuga
+from anuga.validation_utilities import produce_report
 
-def clean():
-    autoclean()
+args = anuga.get_args()
 
-main()
+produce_report('numerical_avalanche_wet.py', args=args)
 
+
Index: /trunk/anuga_core/validation_tests/analytical_exact/carrier_greenspan_periodic/produce_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/carrier_greenspan_periodic/produce_results.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/carrier_greenspan_periodic/produce_results.py	(revision 9155)
@@ -2,20 +2,11 @@
 # import modules
 #--------------------------------
-from anuga.validation_utilities.fabricate import *
-from anuga.validation_utilities import run_validation_script
-from anuga.validation_utilities import typeset_report
+import anuga
+from anuga.validation_utilities import produce_report
 
-# Setup the python scripts which produce the output for this
-# validation test
-def build():
-    run_validation_script('numerical_carrier_greenspan.py')
-    run_validation_script('plot_results_cross_section.py')
-    run_validation_script('plot_results_origin_wrt_time.py')
-    typeset_report()    
+args = anuga.get_args()
+
+produce_report('numerical_carrier_greenspan.py', args=args)
 
 
-def clean():
-    autoclean()
 
-main()
-
Index: /trunk/anuga_core/validation_tests/analytical_exact/carrier_greenspan_transient/numerical_cg_transient.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/carrier_greenspan_transient/numerical_cg_transient.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/carrier_greenspan_transient/numerical_cg_transient.py	(revision 9155)
@@ -15,5 +15,19 @@
 from scipy.optimize import fsolve
 from math import sin, pi, exp, sqrt, cos
-from analytical_cg_transient import *
+from analytical_cg_transient import analytical_sol
+
+from anuga import myid, finalize, distribute
+
+import warnings
+warnings.simplefilter('ignore')
+
+#------------------------------------------------------------------------------
+# Setup Algorithm, either using command line arguments
+# or override manually yourself
+#------------------------------------------------------------------------------
+args = anuga.get_args()
+alg = args.alg
+cfl = args.cfl
+verbose = args.v
 
 
@@ -44,34 +58,35 @@
 
 
-# structured mesh
-points, vertices, boundary = anuga.rectangular_cross(int(0.8*L/dx), int(W/dy), 0.8*L, W, (-0.5*L, -0.5*W))
-domain = Domain(points, vertices, boundary) 
-domain.set_name(output_file)                
-domain.set_datadir(output_dir)
-
-#------------------------------------------------------------------------------
-# Setup Algorithm, either using command line arguments
-# or override manually yourself
-#------------------------------------------------------------------------------
-from anuga.utilities.argparsing import parse_standard_args
-alg, cfl = parse_standard_args()
-domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
-
-#------------------------------------------------------------------------------
-# Setup initial conditions
-#------------------------------------------------------------------------------
-domain.set_quantity('friction', 0.0)
-
 def elevation(x,y):
     return h0*x/L
-domain.set_quantity('elevation', elevation)
+
 
 def stage(x,y):
     w,z,u = analytical_sol(x/L,0.0)
     return h0*w
-domain.set_quantity('stage', stage)
 
 
+
+if myid == 0:
+    # structured mesh
+    points, vertices, boundary = anuga.rectangular_cross(int(0.8*L/dx), int(W/dy), 0.8*L, W, (-0.5*L, -0.5*W))
+    domain = Domain(points, vertices, boundary) 
+    domain.set_name(output_file)                
+    domain.set_datadir(output_dir)
+
+    domain.set_flow_algorithm(alg)
+    #domain.set_CFL(cfl)
+
+    #------------------------------------------------------------------------------
+    # Setup initial conditions
+    #------------------------------------------------------------------------------
+    domain.set_quantity('friction', 0.0)
+    domain.set_quantity('stage', stage)
+    domain.set_quantity('elevation', elevation)
+    
+else:
+    domain = None
+    
+domain = distribute(domain)
 
 #-----------------------------------------------------------------------------
@@ -106,13 +121,14 @@
 
 
-#------------------------------------------------------------------------------
-# Produce a documentation of parameters
-#------------------------------------------------------------------------------
-parameter_file=open('parameters.tex', 'w')
-parameter_file.write('\\begin{verbatim}\n')
-from pprint import pprint
-pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
-parameter_file.write('\\end{verbatim}\n')
-parameter_file.close()
+if myid == 0:
+    #------------------------------------------------------------------------------
+    # Produce a documentation of parameters
+    #------------------------------------------------------------------------------
+    parameter_file=open('parameters.tex', 'w')
+    parameter_file.write('\\begin{verbatim}\n')
+    from pprint import pprint
+    pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
+    parameter_file.write('\\end{verbatim}\n')
+    parameter_file.close()
 
 #------------------------------------------------------------------------------
@@ -121,10 +137,12 @@
 for t in domain.evolve(yieldstep = 1000., finaltime = 30000.):
     #print domain.timestepping_statistics(track_speeds=True)
-    print domain.timestepping_statistics()
+    if myid == 0 and verbose:
+        print domain.timestepping_statistics()
     #vis.update()
 
 
-#test against know data
-    
-#vis.evolveFinished()
+domain.sww_merge(delete_old=True)
 
+finalize()
+
+
Index: /trunk/anuga_core/validation_tests/analytical_exact/carrier_greenspan_transient/produce_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/carrier_greenspan_transient/produce_results.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/carrier_greenspan_transient/produce_results.py	(revision 9155)
@@ -2,19 +2,9 @@
 # import modules
 #--------------------------------
-from anuga.validation_utilities.fabricate import *
-from anuga.validation_utilities import run_validation_script
-from anuga.validation_utilities import typeset_report
+import anuga
+from anuga.validation_utilities import produce_report
 
+args = anuga.get_args()
 
-# Setup the python scripts which produce the output for this
-# validation test
-def build():
-    run_validation_script('numerical_cg_transient.py')
-    run_validation_script('plot_results.py')  
-    typeset_report()    
+produce_report('numerical_cg_transient.py', args=args)
 
-def clean():
-    autoclean()
-
-main()
-
Index: /trunk/anuga_core/validation_tests/analytical_exact/carrier_greenspan_transient/validate_carrier_greenspan_transient.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/carrier_greenspan_transient/validate_carrier_greenspan_transient.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/carrier_greenspan_transient/validate_carrier_greenspan_transient.py	(revision 9155)
@@ -122,5 +122,5 @@
 
         for i, id in enumerate(ids):
-            assert euh[i] < 0.02,  'L^1 error %g greater than 2 percent'% euh[i]
+            assert euh[i] < 0.025,  'L^1 error %g greater than 2 percent'% euh[i]
             
 
Index: /trunk/anuga_core/validation_tests/analytical_exact/dam_break_dry/numerical_dam_break_dry.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/dam_break_dry/numerical_dam_break_dry.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/dam_break_dry/numerical_dam_break_dry.py	(revision 9155)
@@ -48,4 +48,13 @@
     return z
 
+
+args = anuga.get_args()
+alg = args.alg
+cfl = args.cfl
+verbose = args.v
+
+print args
+
+
 #================================================================================
 # create sequential domain
@@ -65,8 +74,6 @@
     # or override manually yourself
     #------------------------------------------------------------------------------
-    from anuga.utilities.argparsing import parse_standard_args
-    alg, cfl = parse_standard_args()
     domain.set_flow_algorithm(alg)
-    domain.set_CFL(cfl)
+    #domain.set_CFL(cfl)
 
     #------------------------------------------------------------------------------
@@ -121,5 +128,5 @@
 #===================================================================================
 for t in domain.evolve(yieldstep = 0.5, finaltime = 50.):
-    if myid == 0:
+    if myid == 0 and verbose:
         print domain.timestepping_statistics()
 
Index: /trunk/anuga_core/validation_tests/analytical_exact/dam_break_dry/produce_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/dam_break_dry/produce_results.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/dam_break_dry/produce_results.py	(revision 9155)
@@ -2,19 +2,15 @@
 # import modules
 #--------------------------------
-from anuga.validation_utilities.fabricate import *
-from anuga.validation_utilities import run_validation_script
-from anuga.validation_utilities import typeset_report
 
-# Setup the python scripts which produce the output for this
-# validation test
-def build():
-    run_validation_script('numerical_dam_break_dry.py')
-    run_validation_script('plot_results.py')
-    typeset_report()
+import anuga
+from anuga.validation_utilities import produce_report
 
-    
-def clean():
-    autoclean()
+args = anuga.get_args()
 
-main()
+produce_report('numerical_dam_break_dry.py', args=args)
 
+
+
+
+
+
Index: /trunk/anuga_core/validation_tests/analytical_exact/dam_break_dry/validate_dam_break_dry.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/dam_break_dry/validate_dam_break_dry.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/dam_break_dry/validate_dam_break_dry.py	(revision 9155)
@@ -8,7 +8,10 @@
 import anuga
 
+args = anuga.get_args()
+
+
 indent = anuga.indent
 
-verbose = True
+verbose = args.v
 
 class Test_results(unittest.TestCase):
@@ -32,6 +35,6 @@
             print indent+'Running simulation script'
 
-        s = 'produce_results.py'
-        res = os.system('python %s > validate_output.stdout' %s)
+        s = 'numerical_dam_break_dry.py'
+        res = anuga.run_anuga_script(s,args=args)
 
         # Test that script runs ok
Index: /trunk/anuga_core/validation_tests/analytical_exact/dam_break_wet/numerical_dam_break_wet.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/dam_break_wet/numerical_dam_break_wet.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/dam_break_wet/numerical_dam_break_wet.py	(revision 9155)
@@ -64,5 +64,5 @@
     alg, cfl = parse_standard_args()
     domain.set_flow_algorithm(alg)
-    domain.set_CFL(cfl)
+    #domain.set_CFL(cfl)
 
     #------------------------------------------------------------------------------
Index: /trunk/anuga_core/validation_tests/analytical_exact/dam_break_wet/produce_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/dam_break_wet/produce_results.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/dam_break_wet/produce_results.py	(revision 9155)
@@ -2,19 +2,11 @@
 # import modules
 #--------------------------------
-from anuga.validation_utilities.fabricate import *
-from anuga.validation_utilities import run_validation_script
-from anuga.validation_utilities import typeset_report
+
+import anuga
+from anuga.validation_utilities import produce_report
+
+args = anuga.get_args()
+
+produce_report('numerical_dam_break_wet.py', args=args)
 
 
-# Setup the python scripts which produce the output for this
-# validation test
-def build():
-    run_validation_script('numerical_dam_break_wet.py')
-    run_validation_script('plot_results.py')
-    typeset_report()
-
-def clean():
-    autoclean()
-
-main()
-
Index: /trunk/anuga_core/validation_tests/analytical_exact/dam_break_wet/validate_dam_break_wet.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/dam_break_wet/validate_dam_break_wet.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/dam_break_wet/validate_dam_break_wet.py	(revision 9155)
@@ -8,7 +8,9 @@
 import anuga
 
+args = anuga.get_args()
+
 indent = anuga.indent
 
-verbose = True
+verbose = args.v
 
 class Test_results(unittest.TestCase):
@@ -32,6 +34,6 @@
             print indent+'Running simulation script'
 
-        s = 'produce_results.py'
-        res = os.system('python %s > validate_output.stdout' %s)
+        s = 'numerical_dam_break_wet.py'
+        res = anuga.run_anuga_script(s,args=args)
 
         # Test that script runs ok
Index: /trunk/anuga_core/validation_tests/analytical_exact/deep_wave/produce_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/deep_wave/produce_results.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/deep_wave/produce_results.py	(revision 9155)
@@ -1,19 +1,10 @@
-from anuga.validation_utilities.fabricate import *
 #--------------------------------
 # import modules
 #--------------------------------
-from anuga.validation_utilities.fabricate import *
-from anuga.validation_utilities import run_validation_script
-from anuga.validation_utilities import typeset_report
+import anuga
+from anuga.validation_utilities import produce_report
 
-# Setup the python scripts which produce the output for this
-# validation test
-def build():
-    run_validation_script('run_wave.py')
-    run_validation_script('plot_results.py')
-    typeset_report()
+args = anuga.get_args()
 
-def clean():
-    autoclean()
+produce_report('run_wave.py', args=args)
 
-main()
Index: /trunk/anuga_core/validation_tests/analytical_exact/deep_wave/run_wave.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/deep_wave/run_wave.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/deep_wave/run_wave.py	(revision 9155)
@@ -11,7 +11,7 @@
 import anuga
 from anuga import Domain
+from anuga import myid, finalize, distribute
 
-#from balanced_dev import *
-#from balanced_dev import Domain as Domain
+
 
 from math import cos
@@ -25,6 +25,6 @@
 # algorithm parameters.
 #--------------------------------
-from anuga.utilities.argparsing import parse_standard_args
-alg, cfl = parse_standard_args()
+args = anuga.get_args()
+alg = args.alg
 
 #-------------------------------------------------------------------------------
@@ -42,37 +42,47 @@
 interactive_visualisation = False
 
-#------------------------------------------------------------------------------
-# Setup domain
-#------------------------------------------------------------------------------
-dx = 500.
-dy = dx
-L = 100000.
-W = 10*dx
+if myid == 0:
+    #------------------------------------------------------------------------------
+    # Setup sequential domain
+    #------------------------------------------------------------------------------
+    dx = 500.
+    dy = dx
+    L = 100000.
+    W = 10*dx
+    
+    # structured mesh
+    points, vertices, boundary = anuga.rectangular_cross(int(L/dx), int(W/dy), L, W, (0.0, -W/2))
+    
+    domain = Domain(points, vertices, boundary) 
+    
+    domain.set_name(output_file)                
+    domain.set_datadir(output_dir)  
+    
+    #------------------------------------------------------------------------------
+    # Setup Algorithm, either using command line arguments
+    # or override manually yourself
+    #------------------------------------------------------------------------------
+    from anuga.utilities.argparsing import parse_standard_args
+    alg, cfl = parse_standard_args()
+    domain.set_flow_algorithm(alg)
+    #domain.set_CFL(cfl)
+    
+    
+    #------------------------------------------------------------------------------
+    # Setup initial conditions
+    #------------------------------------------------------------------------------
+    domain.set_quantity('elevation',-100.0)
+    domain.set_quantity('friction', 0.00)
+    domain.set_quantity('stage', 0.0)            
 
-# structured mesh
-points, vertices, boundary = anuga.rectangular_cross(int(L/dx), int(W/dy), L, W, (0.0, -W/2))
+else: 
 
-domain = Domain(points, vertices, boundary) 
-
-domain.set_name(output_file)                
-domain.set_datadir(output_dir)  
-
-#------------------------------------------------------------------------------
-# Setup Algorithm, either using command line arguments
-# or override manually yourself
-#------------------------------------------------------------------------------
-from anuga.utilities.argparsing import parse_standard_args
-alg, cfl = parse_standard_args()
-domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
-
-
-#------------------------------------------------------------------------------
-# Setup initial conditions
-#------------------------------------------------------------------------------
-domain.set_quantity('elevation',-100.0)
-domain.set_quantity('friction', 0.00)
-domain.set_quantity('stage', 0.0)            
-
+    domain = None
+    
+#-----------------------------------------------------------------------------------
+# Parallel Domain 
+#-----------------------------------------------------------------------------------
+domain = distribute(domain)
+   
 #-----------------------------------------------------------------------------
 # Setup boundary conditions
@@ -101,5 +111,5 @@
     return amplitude*sin((1./wave_length)*t*2*pi)
 
-Bw2 = anuga.shallow_water.boundaries.Transmissive_n_momentum_zero_t_momentum_set_stage_boundary(domain, waveform2)
+Bw2 = anuga.Transmissive_n_momentum_zero_t_momentum_set_stage_boundary(domain, waveform2)
 #Bw3 = swb2_boundary_conditions.Transmissive_momentum_nudge_stage_boundary(domain, waveform)
 Bw3 = anuga.Time_boundary(domain, waveform)
@@ -115,12 +125,4 @@
 
 
-#===============================================================================
-if interactive_visualisation:
-    from anuga.visualiser import RealtimeVisualiser
-    vis = RealtimeVisualiser(domain)
-    vis.render_quantity_height("stage", zScale =10000, dynamic=True)
-    vis.colour_height_quantity('stage', (1.0, 0.5, 0.5))
-    vis.start()
-#===============================================================================
 
 
@@ -128,10 +130,11 @@
 # Produce a documentation of parameters
 #------------------------------------------------------------------------------
-parameter_file=open('parameters.tex', 'w')
-parameter_file.write('\\begin{verbatim}\n')
-from pprint import pprint
-pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
-parameter_file.write('\\end{verbatim}\n')
-parameter_file.close()
+if myid == 0:
+    parameter_file=open('parameters.tex', 'w')
+    parameter_file.write('\\begin{verbatim}\n')
+    from pprint import pprint
+    pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
+    parameter_file.write('\\end{verbatim}\n')
+    parameter_file.close()
 
 #------------------------------------------------------------------------------
@@ -144,5 +147,6 @@
         vis.update()
 
-if interactive_visualisation:
-    vis.evolveFinished()
+domain.sww_merge(delete_old=True)
 
+finalize()
+
Index: /trunk/anuga_core/validation_tests/analytical_exact/lake_at_rest_immersed_bump/numerical_immersed_bump.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/lake_at_rest_immersed_bump/numerical_immersed_bump.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/lake_at_rest_immersed_bump/numerical_immersed_bump.py	(revision 9155)
@@ -15,5 +15,5 @@
 from time import localtime, strftime, gmtime
 #from balanced_dev import *
-
+from anuga import myid, finalize, distribute
 
 #-------------------------------------------------------------------------------
@@ -27,40 +27,4 @@
 output_file = 'immersed_bump'
 
-#anuga.copy_code_files(output_dir,__file__)
-#start_screen_catcher(output_dir+'_')
-
-
-#------------------------------------------------------------------------------
-# Setup domain
-#------------------------------------------------------------------------------
-dx = 1.
-dy = dx
-L = 25.
-W = 5*dx
-
-# structured mesh
-points, vertices, boundary = anuga.rectangular_cross(int(L/dx), int(W/dy), L, W, (0.0, 0.0))
-
-#domain = anuga.Domain(points, vertices, boundary) 
-domain = Domain(points, vertices, boundary) 
-
-domain.set_name(output_file)                
-domain.set_datadir(output_dir) 
-
-#------------------------------------------------------------------------------
-# Setup Algorithm, either using command line arguments
-# or override manually yourself
-#------------------------------------------------------------------------------
-from anuga.utilities.argparsing import parse_standard_args
-alg, cfl = parse_standard_args()
-domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
-
-#------------------------------------------------------------------------------
-# Setup initial conditions
-#------------------------------------------------------------------------------
-domain.set_quantity('friction', 0.0)
-domain.set_quantity('stage', 0.5)
-
 def bed_elevation(x,y):
     z = zeros(len(x), float)
@@ -71,5 +35,46 @@
             z[i] = 0.0
     return z    
-domain.set_quantity('elevation', bed_elevation)
+
+
+args = anuga.get_args()
+alg = args.alg
+verbose = args.v
+
+if myid == 0:
+    #------------------------------------------------------------------------------
+    # Setup domain
+    #------------------------------------------------------------------------------
+    dx = 1.
+    dy = dx
+    L = 25.
+    W = 5*dx
+    
+    # structured mesh
+    points, vertices, boundary = anuga.rectangular_cross(int(L/dx), int(W/dy), L, W, (0.0, 0.0))
+    
+    #domain = anuga.Domain(points, vertices, boundary) 
+    domain = Domain(points, vertices, boundary) 
+    
+    domain.set_name(output_file)                
+    domain.set_datadir(output_dir) 
+
+    domain.set_flow_algorithm(alg)
+
+    
+    #------------------------------------------------------------------------------
+    # Setup initial conditions
+    #------------------------------------------------------------------------------
+    domain.set_quantity('friction', 0.0)
+    domain.set_quantity('stage', 0.5)    
+    domain.set_quantity('elevation', bed_elevation)
+
+else:
+    
+    domain = None
+    
+#-----------------------------------------------------------------------------
+# Parallel Domain
+#-----------------------------------------------------------------------------   
+domain = distribute(domain)
 
 #-----------------------------------------------------------------------------
@@ -85,11 +90,4 @@
 
 
-#===============================================================================
-##from anuga.visualiser import RealtimeVisualiser
-##vis = RealtimeVisualiser(domain)
-##vis.render_quantity_height("stage", zScale =h0*500, dynamic=True)
-##vis.colour_height_quantity('stage', (0.0, 0.5, 1.0))
-##vis.start()
-#===============================================================================
 
 
@@ -97,10 +95,11 @@
 # Produce a documentation of parameters
 #------------------------------------------------------------------------------
-parameter_file=open('parameters.tex', 'w')
-parameter_file.write('\\begin{verbatim}\n')
-from pprint import pprint
-pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
-parameter_file.write('\\end{verbatim}\n')
-parameter_file.close()
+if myid == 0:
+    parameter_file=open('parameters.tex', 'w')
+    parameter_file.write('\\begin{verbatim}\n')
+    from pprint import pprint
+    pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
+    parameter_file.write('\\end{verbatim}\n')
+    parameter_file.close()
 
 #------------------------------------------------------------------------------
@@ -109,10 +108,8 @@
 for t in domain.evolve(yieldstep = 0.1, finaltime = 5.):
     #print domain.timestepping_statistics(track_speeds=True)
-    print domain.timestepping_statistics()
-    #vis.update()
+    if myid == 0: print domain.timestepping_statistics()
 
+domain.sww_merge(delete_old=True)
 
-#test against know data
-    
-#vis.evolveFinished()
+finalize()
 
Index: /trunk/anuga_core/validation_tests/analytical_exact/lake_at_rest_immersed_bump/produce_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/lake_at_rest_immersed_bump/produce_results.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/lake_at_rest_immersed_bump/produce_results.py	(revision 9155)
@@ -2,19 +2,8 @@
 # import modules
 #--------------------------------
-from anuga.validation_utilities.fabricate import *
-from anuga.validation_utilities import run_validation_script
-from anuga.validation_utilities import typeset_report
+import anuga
+from anuga.validation_utilities import produce_report
 
+args = anuga.get_args()
 
-# Setup the python scripts which produce the output for this
-# validation test
-def build():
-    run_validation_script('numerical_immersed_bump.py')
-    run_validation_script('plot_results.py')
-    typeset_report()
-
-def clean():
-    autoclean()
-
-main()
-
+produce_report('numerical_immersed_bump.py', args=args)
Index: /trunk/anuga_core/validation_tests/analytical_exact/lake_at_rest_steep_island/numerical_steep_island.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/lake_at_rest_steep_island/numerical_steep_island.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/lake_at_rest_steep_island/numerical_steep_island.py	(revision 9155)
@@ -14,5 +14,5 @@
 from numpy import zeros, float
 from time import localtime, strftime, gmtime
-#from balanced_dev import *
+from anuga import myid, finalize, distribute
 
 
@@ -27,38 +27,12 @@
 output_file = 'steep_island'
 
-#anuga.copy_code_files(output_dir,__file__)
-#start_screen_catcher(output_dir+'_')
+args = anuga.get_args()
+alg = args.alg
+verbose = args.v
 
-
-#------------------------------------------------------------------------------
-# Setup domain
-#------------------------------------------------------------------------------
 dx = 1.
 dy = dx
 L = 2000.
 W = 5*dx
-
-# structured mesh
-points, vertices, boundary = anuga.rectangular_cross(int(L/dx), int(W/dy), L, W, (0.0, 0.0))
-
-#domain = anuga.Domain(points, vertices, boundary) 
-domain = Domain(points, vertices, boundary) 
-
-domain.set_name(output_file)                
-domain.set_datadir(output_dir) 
-
-#------------------------------------------------------------------------------
-# Setup Algorithm, either using command line arguments
-# or override manually yourself
-#------------------------------------------------------------------------------
-from anuga.utilities.argparsing import parse_standard_args
-alg, cfl = parse_standard_args()
-domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
-
-#------------------------------------------------------------------------------
-# Setup initial conditions
-#------------------------------------------------------------------------------
-domain.set_quantity('friction', 0.0)
 
 def stage_flat(x,y):
@@ -67,5 +41,4 @@
         w[i]=4.5
     return w
-domain.set_quantity('stage', stage_flat)
 
 def bed_elevation(x,y):
@@ -99,5 +72,33 @@
             z[i] = (4.5/40000)*(x[i]-1800)*(x[i]-1800) + 2.0
     return z 
-domain.set_quantity('elevation', bed_elevation)
+
+#------------------------------------------------------------------------------
+# Setup sequential domain
+#------------------------------------------------------------------------------
+if myid == 0:
+    # structured mesh
+    points, vertices, boundary = anuga.rectangular_cross(int(L/dx), int(W/dy), L, W, (0.0, 0.0))
+ 
+    domain = Domain(points, vertices, boundary) 
+    
+    domain.set_name(output_file)                
+    domain.set_datadir(output_dir) 
+    domain.set_flow_algorithm(alg)
+    
+    #------------------------------------------------------------------------------
+    # Setup initial conditions
+    #------------------------------------------------------------------------------
+    domain.set_quantity('friction', 0.0)
+    domain.set_quantity('stage', stage_flat)
+    domain.set_quantity('elevation', bed_elevation)
+    
+else:
+    
+    domain = None
+    
+#-----------------------------------------------------------------------------
+# Parallel Domain
+#-----------------------------------------------------------------------------
+domain = distribute(domain)    
 
 #-----------------------------------------------------------------------------
@@ -113,11 +114,4 @@
 
 
-#===============================================================================
-##from anuga.visualiser import RealtimeVisualiser
-##vis = RealtimeVisualiser(domain)
-##vis.render_quantity_height("stage", zScale =h0*500, dynamic=True)
-##vis.colour_height_quantity('stage', (0.0, 0.5, 1.0))
-##vis.start()
-#===============================================================================
 
 
@@ -125,10 +119,11 @@
 # Produce a documentation of parameters
 #------------------------------------------------------------------------------
-parameter_file=open('parameters.tex', 'w')
-parameter_file.write('\\begin{verbatim}\n')
-from pprint import pprint
-pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
-parameter_file.write('\\end{verbatim}\n')
-parameter_file.close()
+if myid == 0:
+    parameter_file=open('parameters.tex', 'w')
+    parameter_file.write('\\begin{verbatim}\n')
+    from pprint import pprint
+    pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
+    parameter_file.write('\\end{verbatim}\n')
+    parameter_file.close()
 
 #------------------------------------------------------------------------------
@@ -137,10 +132,12 @@
 for t in domain.evolve(yieldstep = 0.1, finaltime = 5.):
     #print domain.timestepping_statistics(track_speeds=True)
-    print domain.timestepping_statistics()
-    #vis.update()
+    if myid == 0: print domain.timestepping_statistics()
 
 
-#test against know data
-    
-#vis.evolveFinished()
+domain.sww_merge(delete_old=True)
 
+finalize()
+
+
+#
+
Index: /trunk/anuga_core/validation_tests/analytical_exact/lake_at_rest_steep_island/produce_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/lake_at_rest_steep_island/produce_results.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/lake_at_rest_steep_island/produce_results.py	(revision 9155)
@@ -2,19 +2,10 @@
 # import modules
 #--------------------------------
-from anuga.validation_utilities.fabricate import *
-from anuga.validation_utilities import run_validation_script
-from anuga.validation_utilities import typeset_report
+import anuga
+from anuga.validation_utilities import produce_report
+
+args = anuga.get_args()
+
+produce_report('numerical_steep_island.py', args=args)
 
 
-# Setup the python scripts which produce the output for this
-# validation test
-def build():
-    run_validation_script('numerical_steep_island.py')
-    run_validation_script('plot_results.py')
-    typeset_report()
-
-def clean():
-    autoclean()
-
-main()
-
Index: /trunk/anuga_core/validation_tests/analytical_exact/landslide_tsunami/runup.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/landslide_tsunami/runup.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/landslide_tsunami/runup.py	(revision 9155)
@@ -37,5 +37,5 @@
 alg, cfl = parse_standard_args()
 domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
+#domain.set_CFL(cfl)
 
 #------------------
Index: /trunk/anuga_core/validation_tests/analytical_exact/mac_donald_short_channel/numerical_MacDonald.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/mac_donald_short_channel/numerical_MacDonald.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/mac_donald_short_channel/numerical_MacDonald.py	(revision 9155)
@@ -54,5 +54,5 @@
 alg, cfl = parse_standard_args()
 domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
+#domain.set_CFL(cfl)
 
 #------------------------------------------------------------------------------
Index: /trunk/anuga_core/validation_tests/analytical_exact/parabolic_basin/numerical_parabolic_basin.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/parabolic_basin/numerical_parabolic_basin.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/parabolic_basin/numerical_parabolic_basin.py	(revision 9155)
@@ -45,5 +45,5 @@
 alg, cfl = parse_standard_args()
 domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
+#domain.set_CFL(cfl)
 
 #------------------
Index: /trunk/anuga_core/validation_tests/analytical_exact/paraboloid_basin/numerical_paraboloid_basin.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/paraboloid_basin/numerical_paraboloid_basin.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/paraboloid_basin/numerical_paraboloid_basin.py	(revision 9155)
@@ -63,5 +63,5 @@
 #domain.set_timestepping_method(2)
 #domain.set_beta(1.5)
-#domain.set_CFL(0.6)
+##domain.set_CFL(0.6)
 #domain.smooth = True
 
Index: /trunk/anuga_core/validation_tests/analytical_exact/river_at_rest_varying_topo_width/numerical_varying_width.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/river_at_rest_varying_topo_width/numerical_varying_width.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/river_at_rest_varying_topo_width/numerical_varying_width.py	(revision 9155)
@@ -58,5 +58,5 @@
 alg, cfl = parse_standard_args()
 domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
+#domain.set_CFL(cfl)
 
 #------------------------------------------------------------------------------
Index: /trunk/anuga_core/validation_tests/analytical_exact/river_at_rest_varying_topo_width/results.tex
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/river_at_rest_varying_topo_width/results.tex	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/river_at_rest_varying_topo_width/results.tex	(revision 9155)
@@ -1,2 +1,4 @@
+
+
 
 \section{River at rest with varying width and topography}
Index: /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope/numerical_rundown_channel.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope/numerical_rundown_channel.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope/numerical_rundown_channel.py	(revision 9155)
@@ -27,5 +27,5 @@
 alg, cfl = parse_standard_args()
 domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
+#domain.set_CFL(cfl)
 
 #------------------------------------------------------------------------------
Index: /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope/plot_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope/plot_results.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope/plot_results.py	(revision 9155)
@@ -47,5 +47,5 @@
 pyplot.clf()
 
-line, = pyplot.plot( (p2.x[v].min(),p2.x[v].max()) ,( (p2.stage[:,v]-p2.elev[:,v]).max(),(p2.stage[:,v]-p2.elev[v]).min() ) )
+line, = pyplot.plot( (p2.x[v].min(),p2.x[v].max()) ,( (p2.stage[:,v]-p2.elev[v]).max(),(p2.stage[:,v]-p2.elev[v]).min() ) )
 line.set_label('numerical')
 pyplot.plot( (0,100),(dana,dana), 'r',label='analytical' )
Index: /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope_coarse/numerical_rundown_channel_coarse.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope_coarse/numerical_rundown_channel_coarse.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope_coarse/numerical_rundown_channel_coarse.py	(revision 9155)
@@ -27,5 +27,5 @@
 alg, cfl = parse_standard_args()
 domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
+#domain.set_CFL(cfl)
 
 #------------------------------------------------------------------------------
Index: /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope_coarse/plot_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope_coarse/plot_results.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope_coarse/plot_results.py	(revision 9155)
@@ -53,9 +53,4 @@
 pyplot.clf()
 
-
-print (p2.x[v].min(),p2.x[v].max())
-print (p2.stage[:,v]-p2.elev[v]).max()
-print (p2.stage[:,v]-p2.elev[v]).min()
-
 line, = pyplot.plot( (p2.x[v].min(),p2.x[v].max()) ,( (p2.stage[:,v]-p2.elev[v]).max(),(p2.stage[:,v]-p2.elev[v]).min() ) )
 line.set_label('numerical')
Index: /trunk/anuga_core/validation_tests/analytical_exact/runup_on_beach/numerical_runup.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/runup_on_beach/numerical_runup.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/runup_on_beach/numerical_runup.py	(revision 9155)
@@ -26,5 +26,5 @@
 alg, cfl = parse_standard_args()
 domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
+#domain.set_CFL(cfl)
 #domain.set_minimum_allowed_height(0.0001)
 #domain.set_minimum_storable_height(0.0001)
Index: /trunk/anuga_core/validation_tests/analytical_exact/runup_on_sinusoid_beach/numerical_runup_sinusoid.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/runup_on_sinusoid_beach/numerical_runup_sinusoid.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/runup_on_sinusoid_beach/numerical_runup_sinusoid.py	(revision 9155)
@@ -23,5 +23,5 @@
 alg, cfl = parse_standard_args()
 domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
+#domain.set_CFL(cfl)
 domain.set_name('runup_sinusoid')                         # Output to file runup.sww
 domain.set_datadir('.')                          # Use current folder
Index: /trunk/anuga_core/validation_tests/analytical_exact/subcritical_over_bump/numerical_subcritical.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/subcritical_over_bump/numerical_subcritical.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/subcritical_over_bump/numerical_subcritical.py	(revision 9155)
@@ -54,5 +54,5 @@
 alg, cfl = parse_standard_args()
 domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
+#domain.set_CFL(cfl)
 
 #------------------------------------------------------------------------------
Index: /trunk/anuga_core/validation_tests/analytical_exact/transcritical_with_shock/numerical_transcritical.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/transcritical_with_shock/numerical_transcritical.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/transcritical_with_shock/numerical_transcritical.py	(revision 9155)
@@ -54,5 +54,5 @@
 alg, cfl = parse_standard_args()
 domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
+#domain.set_CFL(cfl)
 
 #------------------------------------------------------------------------------
Index: /trunk/anuga_core/validation_tests/analytical_exact/transcritical_without_shock/numerical_transcritical.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/transcritical_without_shock/numerical_transcritical.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/transcritical_without_shock/numerical_transcritical.py	(revision 9155)
@@ -57,5 +57,5 @@
 alg, cfl = parse_standard_args()
 domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
+#domain.set_CFL(cfl)
 
 #------------------------------------------------------------------------------
Index: /trunk/anuga_core/validation_tests/analytical_exact/trapezoidal_channel/numerical_channel_floodplain.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/trapezoidal_channel/numerical_channel_floodplain.py	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/trapezoidal_channel/numerical_channel_floodplain.py	(revision 9155)
@@ -83,5 +83,5 @@
 alg, cfl = parse_standard_args()
 domain.set_flow_algorithm(alg)
-domain.set_CFL(cfl)
+#domain.set_CFL(cfl)
 
 #------------------------------------------------------------------------------
Index: /trunk/anuga_core/validation_tests/analytical_exact/trapezoidal_channel/results.tex
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/trapezoidal_channel/results.tex	(revision 9154)
+++ /trunk/anuga_core/validation_tests/analytical_exact/trapezoidal_channel/results.tex	(revision 9155)
@@ -33,5 +33,5 @@
 
 
-\DTLloaddb{dischargeout}{analytical_exact/trapezoidal_channel/discharge_outputs.txt}
+\DTLloaddb{dischargeout}{../analytical_exact/trapezoidal_channel/discharge_outputs.txt}
 %\DTLloaddb{dischargeout}{discharge_outputs.txt}
 \begin{table}
